## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# pointer_equals_predicate Struct Template Reference

`#include <STLHelper.hpp>`

Inheritance diagram for pointer_equals_predicate:

[legend]
Collaboration diagram for pointer_equals_predicate:

[legend]
List of all members.

## Public Types

- typedef std::unary_function<
  const T*, bool> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Methods

- pointer_equals_predicate (argument_type theArg)
- result_type operator() (argument_type theOther) const

### template<class T> struct pointer_equals_predicate

## Member Typedef Documentation

template<class T>
typedef std::unary_function< const T *, bool > pointer_equals_predicate<T>::BaseClassType<const T*, bool>

template<class T>
typedef BaseClassType::argument_type pointer_equals_predicate<T>::argument_type

template<class T>
typedef BaseClassType::result_type pointer_equals_predicate<T>::result_type

## Constructor & Destructor Documentation

template<class T>
pointer_equals_predicate<T>::pointer_equals_predicate<T> ( | argument_type theArg )

## Member Function Documentation

template<class T>
result_type pointer_equals_predicate<T>::operator() ( | argument_type theOther ) const

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.